Subject: Re (2): What is actually locked?

From: [email-masked]
Date: Mon, 5 Apr 2004 23:23:58 +0200 (MEST)

Lisa Dusseault <[email-masked]> wrote:
> Yes, I've had various discussions where it seemed that if one binding 
> to a resource was locked ...
This could be read like a 'binding' can be locked. But it's the resource
I think we agree hopefully.

> Some of the details resulting from the lock model are even more 
> definitely
> unclear.  For example, can a client use UNLOCK on a binding that isn't 
> the
> one that was locked?  If not, what's the error?  The spec must say 
> whether
> a server MUST support UNLOCK on all bindings to a locked resource.
I can't see your problem here.
If a lock is on the resource and we tell that it doesn't matter
which binding we use to access the resource IMHO it's obvious that
this also applies to UNLOCK.
So I don't think the prose you want is necessary.
Or e.g. "UNLOCK like LOCK works on the resource." should be enough.

Cheers, Edgar